Mailinglist Archive: opensuse-factory (266 mails)

< Previous Next >
[opensuse-factory] New Tumbleweed snapshot 20200511 released!
  • From: Dominique Leuenberger <dimstar@xxxxxxx>
  • Date: Wed, 13 May 2020 12:00:35 +0000
  • Message-id: <158937123516.18582.3080009181458065045@go-agent-stagingbot-6>

Please note that this mail was generated by a script.
The described changes are computed based on the x86_64 DVD.
The full online repo contains too many changes to be listed here.

Please check the known defects of this snapshot before upgrading:
https://openqa.opensuse.org/tests/overview?distri=opensuse&groupid=1&version=Tumbleweed&build=20200511

Please do not reply to this email to report issues, rather file a bug
on bugzilla.opensuse.org. For more information on filing bugs please
see https://en.opensuse.org/openSUSE:Submitting_bug_reports

Packages changed:
attica-qt5 (5.69.0 -> 5.70.0)
baloo5 (5.69.0 -> 5.70.0)
bluez-qt (5.69.0 -> 5.70.0)
breeze5-icons (5.69.0 -> 5.70.0)
coreutils
e2fsprogs (1.45.5 -> 1.45.6)
file
frameworkintegration (5.69.0 -> 5.70.0)
freetype2 (2.10.1 -> 2.10.2)
gettext-runtime (0.20.1 -> 0.20.2)
kactivities-stats (5.69.0 -> 5.70.0)
kactivities5 (5.69.0 -> 5.70.0)
karchive (5.69.0 -> 5.70.0)
kauth (5.69.0 -> 5.70.0)
kbookmarks (5.69.0 -> 5.70.0)
kcalendarcore (5.69.0 -> 5.70.0)
kcmutils (5.69.0 -> 5.70.0)
kcodecs (5.69.0 -> 5.70.0)
kcompletion (5.69.0 -> 5.70.0)
kconfig (5.69.0 -> 5.70.0)
kconfigwidgets (5.69.0 -> 5.70.0)
kcontacts (5.69.0 -> 5.70.0)
kcoreaddons (5.69.0 -> 5.70.0)
kcrash (5.69.0 -> 5.70.0)
kdbusaddons (5.69.0 -> 5.70.0)
kdeclarative (5.69.0 -> 5.70.0)
kded (5.69.0 -> 5.70.0)
kdelibs4support (5.69.0 -> 5.70.0)
kdesu (5.69.0 -> 5.70.0)
kdnssd-framework (5.69.0 -> 5.70.0)
kdoctools (5.69.0 -> 5.70.0)
kemoticons (5.69.0 -> 5.70.0)
kfilemetadata5 (5.69.0 -> 5.70.0)
kglobalaccel (5.69.0 -> 5.70.0)
kguiaddons (5.69.0 -> 5.70.0)
kholidays (5.69.0 -> 5.70.0)
khtml (5.69.0 -> 5.70.0)
ki18n (5.69.0 -> 5.70.0)
kiconthemes (5.69.0 -> 5.70.0)
kidletime (5.69.0 -> 5.70.0)
kimageformats (5.69.0 -> 5.70.0)
kinit (5.69.0 -> 5.70.0)
kio (5.69.0 -> 5.70.0)
kirigami2 (5.69.0 -> 5.70.0)
kitemmodels (5.69.0 -> 5.70.0)
kitemviews (5.69.0 -> 5.70.0)
kjobwidgets (5.69.0 -> 5.70.0)
kjs (5.69.0 -> 5.70.0)
knewstuff (5.69.0 -> 5.70.0)
knotifications (5.69.0 -> 5.70.0)
knotifyconfig (5.69.0 -> 5.70.0)
kpackage (5.69.0 -> 5.70.0)
kparts (5.69.0 -> 5.70.0)
kpeople5 (5.69.0 -> 5.70.0)
kplotting (5.69.0 -> 5.70.0)
kpty (5.69.0 -> 5.70.0)
kquickcharts (5.69.0 -> 5.70.0)
kross (5.69.0 -> 5.70.0)
krunner (5.69.0 -> 5.70.0)
kservice (5.69.0 -> 5.70.0)
ktexteditor (5.69.0 -> 5.70.0)
ktextwidgets (5.69.0 -> 5.70.0)
kunitconversion (5.69.0 -> 5.70.0)
kwallet (5.69.0 -> 5.70.0)
kwayland (5.69.0 -> 5.70.0)
kwidgetsaddons (5.69.0 -> 5.70.0)
kwindowsystem (5.69.0 -> 5.70.0)
kxmlgui (5.69.0 -> 5.70.0)
libKF5ModemManagerQt (5.69.0 -> 5.70.0)
libKF5NetworkManagerQt (5.69.0 -> 5.70.0)
libressl (3.0.2 -> 3.1.1)
libunwind (1.3.1 -> 1.4.0)
ncurses (6.2.20200418 -> 6.2.20200502)
oxygen5-icon-theme (5.69.0 -> 5.70.0)
plasma-framework (5.69.0 -> 5.70.0)
prison-qt5 (5.69.0 -> 5.70.0)
purpose (5.69.0 -> 5.70.0)
python-numpy (1.18.3 -> 1.18.4)
python-pyzmq (19.0.0 -> 19.0.1)
qqc2-desktop-style (5.69.0 -> 5.70.0)
rubygem-actioncable-5.2 (5.2.4.1 -> 5.2.4.2)
rubygem-actioncable-6.0 (6.0.2.2 -> 6.0.3)
rubygem-actionmailbox-6.0 (6.0.2.2 -> 6.0.3)
rubygem-actionmailer-5.2 (5.2.4.1 -> 5.2.4.2)
rubygem-actionmailer-6.0 (6.0.2.2 -> 6.0.3)
rubygem-actionpack-5.2 (5.2.4.1 -> 5.2.4.2)
rubygem-actionpack-6.0 (6.0.2.2 -> 6.0.3)
rubygem-actiontext-6.0 (6.0.2.2 -> 6.0.3)
rubygem-actionview-5.2 (5.2.4.1 -> 5.2.4.2)
rubygem-actionview-6.0 (6.0.2.2 -> 6.0.3)
rubygem-activejob-5.2 (5.2.4.1 -> 5.2.4.2)
rubygem-activejob-6.0 (6.0.2.2 -> 6.0.3)
rubygem-activemodel-5.2 (5.2.4.1 -> 5.2.4.2)
rubygem-activemodel-6.0 (6.0.2.2 -> 6.0.3)
rubygem-activerecord-5.2 (5.2.4.1 -> 5.2.4.2)
rubygem-activerecord-6.0 (6.0.2.2 -> 6.0.3)
rubygem-activestorage-5.2 (5.2.4.1 -> 5.2.4.2)
rubygem-activestorage-6.0 (6.0.2.2 -> 6.0.3)
rubygem-activesupport-5.2 (5.2.4.1 -> 5.2.4.2)
rubygem-activesupport-6.0 (6.0.2.2 -> 6.0.3)
rubygem-amq-protocol (2.3.0 -> 2.3.1)
rubygem-bindata (2.4.4 -> 2.4.7)
rubygem-capistrano (3.11.2 -> 3.14.0)
rubygem-commander (4.5.0 -> 4.5.2)
rubygem-devise-i18n (1.9.0 -> 1.9.1)
rubygem-excon (0.72.0 -> 0.73.0)
rubygem-faraday (1.0.0 -> 1.0.1)
rubygem-faraday_middleware (0.14.0 -> 1.0.0)
rubygem-fluentd (1.9.1 -> 1.10.3)
rubygem-gettext (3.2.9 -> 3.3.5)
rubygem-gpgme (2.0.19 -> 2.0.20)
rubygem-hashdiff (1.0.0 -> 1.0.1)
rubygem-hoe (3.22.0 -> 3.22.1)
rubygem-jquery-rails (4.3.5 -> 4.4.0)
rubygem-json_pure (2.2.0 -> 2.3.0)
rubygem-kramdown (2.1.0 -> 2.2.1)
rubygem-launchy (2.4.3 -> 2.5.0)
rubygem-locale (2.1.2 -> 2.1.3)
rubygem-mime-types-data (3.2019.1009 -> 3.2020.0425)
rubygem-mimemagic (0.3.4 -> 0.3.5)
rubygem-mixlib-cli (2.1.5 -> 2.1.6)
rubygem-moneta (1.2.1 -> 1.3.0)
rubygem-net-scp (2.0.0 -> 3.0.0)
rubygem-net-sftp (2.1.2 -> 3.0.0)
rubygem-net-ssh (5.2.0 -> 6.0.2)
rubygem-oauth2 (1.4.3 -> 1.4.4)
rubygem-omniauth (1.9.0 -> 1.9.1)
rubygem-omniauth-github (1.3.0 -> 1.4.0)
rubygem-optimist (3.0.0 -> 3.0.1)
rubygem-paint (2.1.1 -> 2.2.0)
rubygem-parallel_tests (2.31.0 -> 2.32.0)
rubygem-parser (2.7.0.2 -> 2.7.1.2)
rubygem-pg (1.2.2 -> 1.2.3)
rubygem-pry-doc (1.0.0 -> 1.1.0)
rubygem-public_suffix (4.0.4 -> 4.0.5)
rubygem-rack-oauth2 (1.10.1 -> 1.12.0)
rubygem-rails-5.2 (5.2.4.1 -> 5.2.4.2)
rubygem-rails-6.0 (6.0.2.2 -> 6.0.3)
rubygem-railties-5.2 (5.2.4.1 -> 5.2.4.2)
rubygem-railties-6.0 (6.0.2.2 -> 6.0.3)
rubygem-rb-fsevent (0.10.3 -> 0.10.4)
rubygem-reverse_markdown (1.4.0 -> 2.0.0)
rubygem-rouge (3.15.0 -> 3.18.0)
rubygem-rspec-core (3.9.1 -> 3.9.2)
rubygem-rspec-support (3.9.2 -> 3.9.3)
rubygem-simplecov (0.18.1 -> 0.18.5)
rubygem-simplecov-html (0.11.0 -> 0.12.2)
rubygem-slop (4.8.0 -> 4.8.1)
rubygem-sprockets-helpers (1.2.1 -> 1.3.0)
rubygem-sshkit (1.20.0 -> 1.21.0)
rubygem-tmuxinator (1.1.4 -> 2.0.1)
rubygem-tomlrb (1.2.9 -> 1.3.0)
rubygem-tzinfo (2.0.1 -> 2.0.2)
rubygem-tzinfo-data (1.2019.3 -> 1.2020.1)
rubygem-unf_ext (0.0.7.6 -> 0.0.7.7)
rubygem-unicode-display_width (1.6.1 -> 1.7.0)
rubygem-web-console (4.0.1 -> 4.0.2)
solid (5.69.0 -> 5.70.0)
sonnet (5.69.0 -> 5.70.0)
syndication (5.69.0 -> 5.70.0)
syntax-highlighting (5.69.0 -> 5.70.0)
threadweaver (5.69.0 -> 5.70.0)
xfconf (4.14.1 -> 4.14.3)

=== Details ===

==== attica-qt5 ====
Version update (5.69.0 -> 5.70.0)
Subpackages: libKF5Attica5

- Update to 5.70.0
* New feature release
* For more details please see:
* https://kde.org/announcements/kde-frameworks-5.70.0
- No code change since 5.69.0

==== baloo5 ====
Version update (5.69.0 -> 5.70.0)
Subpackages: baloo5-file baloo5-file-lang baloo5-imports baloo5-imports-lang
baloo5-kioslaves baloo5-kioslaves-lang baloo5-tools baloo5-tools-lang
libKF5Baloo5 libKF5BalooEngine5 libKF5BalooEngine5-lang

- Update to 5.70.0
* New feature release
* For more details please see:
* https://kde.org/announcements/kde-frameworks-5.70.0
- Too many changes to list here.

==== bluez-qt ====
Version update (5.69.0 -> 5.70.0)
Subpackages: bluez-qt-imports bluez-qt-udev libKF5BluezQt6

- Update to 5.70.0
* New feature release
* For more details please see:
* https://kde.org/announcements/kde-frameworks-5.70.0
- No code change since 5.69.0

==== breeze5-icons ====
Version update (5.69.0 -> 5.70.0)

- Update to 5.70.0
* New feature release
* For more details please see:
* https://kde.org/announcements/kde-frameworks-5.70.0
- Too many changes to list here.

==== coreutils ====
Subpackages: coreutils-doc coreutils-lang

- add coreutils-use-python3.patch to minimally port away from
python 2.x use of pyinotify in the testsuite

==== e2fsprogs ====
Version update (1.45.5 -> 1.45.6)
Subpackages: e2fsprogs-devel e2fsprogs-scrub libcom_err-devel libcom_err2
libcom_err2-32bit libext2fs-devel libext2fs2

- Update to 1.45.6:
* Debugfs will ignore lines in its command files which start with
a comment character ("#")
* Fix a number of potential out of bounds memory accesses caused
by fuzzed / malicious file systems
* Fix a spurious complaint from e2fsck when a directory which
previously had more than 32000 subdirectories has the number
of subdirectories drops below 32000
* Fix an ismounted check when an LVM device is renamed while the
device is mounted
* Mke2fs -d now correctly sets permission with files where the
owner permissions are not rwx
* Improve e2fsck's ability to deal with file systems with very
large number of directories, such that various data structures
take more than 2GiB of memory. Use better structure packing to
improve the memory efficiency of these data structures.
* Fix debugfs so it correctly prints inode numbers > 2**31.
* Filefrag now supports very large files (with > 4 billion
blocks), as well as block sizes up to 1 GiB.
* Update and clarify various man pages
* Reserved the error code EXT2_ET_NO_GDESC (which will be used
in e2fsprogs v1.46+)
* Add a thread-safe variant of e2p_feature2string(),
e2p_feature_to_string() to the libe2p library.
* Fixed portability problems caused by gcc 10.
* Synchroniz changes from Android's AOSP e2fsprogs tree
* Update the Malay translation from the translation project
- add upstream signing key and verify source signature

==== file ====
Subpackages: file-magic libmagic1

- Add temporary patch undo-24c9c0.patch to undo commit 24c9c0 (boo#1169192)

==== frameworkintegration ====
Version update (5.69.0 -> 5.70.0)
Subpackages: frameworkintegration-plugin libKF5Style5

- Update to 5.70.0
* New feature release
* For more details please see:
* https://kde.org/announcements/kde-frameworks-5.70.0
- No code change since 5.69.0

==== freetype2 ====
Version update (2.10.1 -> 2.10.2)
Subpackages: freetype2-devel libfreetype6 libfreetype6-32bit

- Update to version 2.10.2
* Support for WOFF2 fonts, add BR on pkgconfig(libbrotlidec)
* Function `FT_Get_Var_Axis_Flags' returned random data for Type 1
MM fonts.
* Type 1 fonts with non-integer metrics are now supported by the new
(CFF) engine introduced in FreeType 2.9.
* Drop support for Python 2 in Freetype's API reference generator
* Auto-hinter support for Hanifi Rohingya
* Document the `FT2_KEEP_ALIVE' debugging environment variable.

==== gettext-runtime ====
Version update (0.20.1 -> 0.20.2)
Subpackages: gettext-tools libtextstyle0

- update to 0.20.2:
* The programs 'gettext', 'ngettext', when invoked with option -e,
now expand '\\' and octal escape sequences, instead of
swallowing them
* xgettext now recognizes 'gettext' program invocations with the
'-e' option, such as gettext -e 'some\nstring\n'
* xgettext now assumes a Python source file is in UTF-8 encoding
by default, as stated in PEP 3120
* The value of the 'Icon' property is no longer extracted into
the POT file by xgettext

==== kactivities-stats ====
Version update (5.69.0 -> 5.70.0)

- Update to 5.70.0
* New feature release
* For more details please see:
* https://kde.org/announcements/kde-frameworks-5.70.0
- No code change since 5.69.0

==== kactivities5 ====
Version update (5.69.0 -> 5.70.0)
Subpackages: kactivities5-imports libKF5Activities5

- Update to 5.70.0
* New feature release
* For more details please see:
* https://kde.org/announcements/kde-frameworks-5.70.0
- No code change since 5.69.0

==== karchive ====
Version update (5.69.0 -> 5.70.0)

- Update to 5.70.0
* New feature release
* For more details please see:
* https://kde.org/announcements/kde-frameworks-5.70.0
- No code change since 5.69.0

==== kauth ====
Version update (5.69.0 -> 5.70.0)
Subpackages: libKF5Auth5 libKF5Auth5-lang libKF5AuthCore5

- Update to 5.70.0
* New feature release
* For more details please see:
* https://kde.org/announcements/kde-frameworks-5.70.0
- No code change since 5.69.0

==== kbookmarks ====
Version update (5.69.0 -> 5.70.0)
Subpackages: libKF5Bookmarks5 libKF5Bookmarks5-lang

- Update to 5.70.0
* New feature release
* For more details please see:
* https://kde.org/announcements/kde-frameworks-5.70.0
- Changes since 5.69.0:
* Always create actioncollection
* [KBookMarksMenu] Set objectName for newBookmarkFolderAction
* [KBookmarksMenu] Assign m_actionCollection early to prevent crash
- Drop Always-create-actioncollection.patch. Merged upstream

==== kcalendarcore ====
Version update (5.69.0 -> 5.70.0)

- Update to 5.70.0
* New feature release
* For more details please see:
* https://kde.org/announcements/kde-frameworks-5.70.0
- No code change since 5.69.0

==== kcmutils ====
Version update (5.69.0 -> 5.70.0)
Subpackages: libKF5KCMUtils5 libKF5KCMUtils5-lang

- Update to 5.70.0
* New feature release
* For more details please see:
* https://kde.org/announcements/kde-frameworks-5.70.0
- Changes since 5.69.0:
* KSettings::Dialog: add support for KPluginInfos without a KService
* Small optimization: call kcmServices() only once
* Downgrade warning about old-style KCM to qDebug, until KF6.
* Use ecm_setup_qtplugin_macro_names

==== kcodecs ====
Version update (5.69.0 -> 5.70.0)
Subpackages: libKF5Codecs5 libKF5Codecs5-lang

- Update to 5.70.0
* New feature release
* For more details please see:
* https://kde.org/announcements/kde-frameworks-5.70.0
- No code change since 5.69.0

==== kcompletion ====
Version update (5.69.0 -> 5.70.0)
Subpackages: libKF5Completion5 libKF5Completion5-lang

- Update to 5.70.0
* New feature release
* For more details please see:
* https://kde.org/announcements/kde-frameworks-5.70.0
- No code change since 5.69.0

==== kconfig ====
Version update (5.69.0 -> 5.70.0)
Subpackages: kconf_update5 libKF5ConfigCore5 libKF5ConfigCore5-lang
libKF5ConfigGui5

- Update to 5.70.0
* New feature release
* For more details please see:
* https://kde.org/announcements/kde-frameworks-5.70.0
- Changes since 5.69.0:
* kconfig_compiler : generate kconfig settings with subgroup
* Fix some compiler warnings
* Add force save behavior to KEntryMap
* Add standard shortcut for "Show/Hide Hidden Files"

==== kconfigwidgets ====
Version update (5.69.0 -> 5.70.0)
Subpackages: libKF5ConfigWidgets5 libKF5ConfigWidgets5-lang

- Update to 5.70.0
* New feature release
* For more details please see:
* https://kde.org/announcements/kde-frameworks-5.70.0
- Changes since 5.69.0:
* Fix the exclusive group box case for default indicators
* KCModule: Indicate when a setting has been changed from the default or
previous value

==== kcontacts ====
Version update (5.69.0 -> 5.70.0)
Subpackages: kcontacts-lang libKF5Contacts5

- Update to 5.70.0
* New feature release
* For more details please see:
* https://kde.org/announcements/kde-frameworks-5.70.0
- Changes since 5.69.0:
* Align description in metainfo.yaml with the one of README.md

==== kcoreaddons ====
Version update (5.69.0 -> 5.70.0)
Subpackages: kcoreaddons-lang libKF5CoreAddons5

- Update to 5.70.0
* New feature release
* For more details please see:
* https://kde.org/announcements/kde-frameworks-5.70.0
- Changes since 5.69.0:
* API dox: use ulong typedef with Q_PROPERTY(percent) to avoid doxygen bug
* API dox: document Q_DECLARE_FLAGS-based flags
* Mark ancient KLibFactory typedef as deprecated
* [KJobUiDelegate] Add AutoHandlingEnabled flag

==== kcrash ====
Version update (5.69.0 -> 5.70.0)

- Update to 5.70.0
* New feature release
* For more details please see:
* https://kde.org/announcements/kde-frameworks-5.70.0
- Changes since 5.69.0:
* Drop klauncher usage from KCrash

==== kdbusaddons ====
Version update (5.69.0 -> 5.70.0)
Subpackages: kdbusaddons-tools libKF5DBusAddons5 libKF5DBusAddons5-lang

- Update to 5.70.0
* New feature release
* For more details please see:
* https://kde.org/announcements/kde-frameworks-5.70.0
- No code change since 5.69.0

==== kdeclarative ====
Version update (5.69.0 -> 5.70.0)
Subpackages: kdeclarative-components libKF5CalendarEvents5 libKF5Declarative5
libKF5Declarative5-lang libKF5QuickAddons5

- Add upstream patch:
* 0001-Pixel-align-children-of-GridViewInternal.patch
- Update to 5.70.0
* New feature release
* For more details please see:
* https://kde.org/announcements/kde-frameworks-5.70.0
- Changes since 5.69.0:
* Introduce SettingState* elements to ease KCM writing
* Properly name the content of the kcmcontrols project
* Tweak kcmcontrols docs
* Add startCapture method
* [KeySequenceHelper] Work around Meta modifier behavior
* Also relase the window in the destructor

==== kded ====
Version update (5.69.0 -> 5.70.0)
Subpackages: kded-lang

- Update to 5.70.0
* New feature release
* For more details please see:
* https://kde.org/announcements/kde-frameworks-5.70.0
- Changes since 5.69.0:
* Port KToolInvocation::kdeinitExecWait to QProcess
* Drop delayed second phase

==== kdelibs4support ====
Version update (5.69.0 -> 5.70.0)
Subpackages: kdelibs4support-lang libKF5KDELibs4Support5

- Update to 5.70.0
* New feature release
* For more details please see:
* https://kde.org/announcements/kde-frameworks-5.70.0
- No code change since 5.69.0

==== kdesu ====
Version update (5.69.0 -> 5.70.0)
Subpackages: libKF5Su5 libKF5Su5-lang

- Update to 5.70.0
* New feature release
* For more details please see:
* https://kde.org/announcements/kde-frameworks-5.70.0
- No code change since 5.69.0

==== kdnssd-framework ====
Version update (5.69.0 -> 5.70.0)
Subpackages: libKF5DNSSD5 libKF5DNSSD5-lang

- Update to 5.70.0
* New feature release
* For more details please see:
* https://kde.org/announcements/kde-frameworks-5.70.0
- No code change since 5.69.0

==== kdoctools ====
Version update (5.69.0 -> 5.70.0)
Subpackages: kdoctools-lang libKF5DocTools5

- Update to 5.70.0
* New feature release
* For more details please see:
* https://kde.org/announcements/kde-frameworks-5.70.0
- No code change since 5.69.0

==== kemoticons ====
Version update (5.69.0 -> 5.70.0)

- Update to 5.70.0
* New feature release
* For more details please see:
* https://kde.org/announcements/kde-frameworks-5.70.0
- No code change since 5.69.0

==== kfilemetadata5 ====
Version update (5.69.0 -> 5.70.0)
Subpackages: kfilemetadata5-lang

- Update to 5.70.0
* New feature release
* For more details please see:
* https://kde.org/announcements/kde-frameworks-5.70.0
- No code change since 5.69.0

==== kglobalaccel ====
Version update (5.69.0 -> 5.70.0)
Subpackages: kglobalaccel5 libKF5GlobalAccel5 libKF5GlobalAccel5-lang
libKF5GlobalAccelPrivate5

- Update to 5.70.0
* New feature release
* For more details please see:
* https://kde.org/announcements/kde-frameworks-5.70.0
- No code change since 5.69.0

==== kguiaddons ====
Version update (5.69.0 -> 5.70.0)

- Update to 5.70.0
* New feature release
* For more details please see:
* https://kde.org/announcements/kde-frameworks-5.70.0
- No code change since 5.69.0

==== kholidays ====
Version update (5.69.0 -> 5.70.0)
Subpackages: libKF5Holidays5 libKF5Holidays5-lang

- Update to 5.70.0
* New feature release
* For more details please see:
* https://kde.org/announcements/kde-frameworks-5.70.0
- Changes since 5.69.0:
* Nicaragua Holidays
* Taiwanese holidays
* Updated Romanian holidays

==== khtml ====
Version update (5.69.0 -> 5.70.0)
Subpackages: libKF5KHtml5 libKF5KHtml5-lang

- Update to 5.70.0
* New feature release
* For more details please see:
* https://kde.org/announcements/kde-frameworks-5.70.0
- No code change since 5.69.0

==== ki18n ====
Version update (5.69.0 -> 5.70.0)
Subpackages: libKF5I18n5 libKF5I18n5-lang

- Update to 5.70.0
* New feature release
* For more details please see:
* https://kde.org/announcements/kde-frameworks-5.70.0
- Changes since 5.69.0:
* KI18N_WRAP_UI macro: set SKIP_AUTOUIC property on ui file and gen. header

==== kiconthemes ====
Version update (5.69.0 -> 5.70.0)
Subpackages: libKF5IconThemes5 libKF5IconThemes5-lang

- Update to 5.70.0
* New feature release
* For more details please see:
* https://kde.org/announcements/kde-frameworks-5.70.0
- Changes since 5.69.0:
* Add note about porting loadMimeTypeIcon

==== kidletime ====
Version update (5.69.0 -> 5.70.0)

- Update to 5.70.0
* New feature release
* For more details please see:
* https://kde.org/announcements/kde-frameworks-5.70.0
- No code change since 5.69.0

==== kimageformats ====
Version update (5.69.0 -> 5.70.0)
Subpackages: kimageformats-eps

- Update to 5.70.0
* New feature release
* For more details please see:
* https://kde.org/announcements/kde-frameworks-5.70.0
- Changes since 5.69.0:
* Fix build on Windows.
* Add support for modern Gimp images/XCF files

==== kinit ====
Version update (5.69.0 -> 5.70.0)
Subpackages: kinit-lang

- Update to 5.70.0
* New feature release
* For more details please see:
* https://kde.org/announcements/kde-frameworks-5.70.0
- No code change since 5.69.0

==== kio ====
Version update (5.69.0 -> 5.70.0)
Subpackages: kio-core kio-lang

- Update to 5.70.0
* New feature release
* For more details please see:
* https://kde.org/announcements/kde-frameworks-5.70.0
- Too many changes since 5.69.0, only listing bugfixes:
* [RenameDialog] Add an arrow indicating direction from src to dest
(kde#268600)
* Make the HTML file template more useful (kde#419935)
* kio_trash: Add size, modification, access and create date for trash:/
(kde#413091)
* Show previews on encrypted filesystems (kde#411919)
* [KPropertiesDialog] Disable changing remote dir icons (kde#205954)

==== kirigami2 ====
Version update (5.69.0 -> 5.70.0)
Subpackages: kirigami2-lang libKF5Kirigami2-5

- Update to 5.70.0
* New feature release
* For more details please see:
* https://kde.org/announcements/kde-frameworks-5.70.0
- Too many changes since 5.69.0, only listing bugfixes:
* vertically center sheets if theiy don't have a scrollbar (kde#419804)
* Various fixes to new Cards (kde#420406)
* Use ShadowedRectangle for Card backgrounds (kde#415526)
* never close when the click is inside the sheet contents (kde#419691)
* sheet must be under other popups (kde#419930)

==== kitemmodels ====
Version update (5.69.0 -> 5.70.0)

- Update to 5.70.0
* New feature release
* For more details please see:
* https://kde.org/announcements/kde-frameworks-5.70.0
- No code change since 5.69.0

==== kitemviews ====
Version update (5.69.0 -> 5.70.0)
Subpackages: libKF5ItemViews5 libKF5ItemViews5-lang

- Update to 5.70.0
* New feature release
* For more details please see:
* https://kde.org/announcements/kde-frameworks-5.70.0
- No code change since 5.69.0

==== kjobwidgets ====
Version update (5.69.0 -> 5.70.0)
Subpackages: libKF5JobWidgets5 libKF5JobWidgets5-lang

- Update to 5.70.0
* New feature release
* For more details please see:
* https://kde.org/announcements/kde-frameworks-5.70.0
- Changes since 5.69.0:
* Add KDialogJobUiDelegate(KJobUiDelegate::Flags) constructor

==== kjs ====
Version update (5.69.0 -> 5.70.0)
Subpackages: libKF5JS5 libKF5JSApi5

- Update to 5.70.0
* New feature release
* For more details please see:
* https://kde.org/announcements/kde-frameworks-5.70.0
- Changes since 5.69.0:
* Implement UString operator= to make gcc happy
* Silence compiler warning about copy of non-trivial data.
* [KJS] Port QRegExp to QRegularExpression

==== knewstuff ====
Version update (5.69.0 -> 5.70.0)
Subpackages: knewstuff-imports libKF5NewStuff5 libKF5NewStuff5-lang
libKF5NewStuffCore5

- Update to 5.70.0
* New feature release
* For more details please see:
* https://kde.org/announcements/kde-frameworks-5.70.0
- Changes since 5.69.0:
* KNewStuff: Fix file path and process call (kde#420312)
* KNewStuff: port from KRun::runApplication to KIO::ApplicationLauncherJob
* [KNewStuff] Port QRegExp to QRegularExpression
* Replace Vokoscreen with VokoscreenNG (kde#416460)
* Fix minor typo (stray word from the wrong bit of the sentence)
* Fix minor typo
* Introduce more user-visible error reporting for installations

==== knotifications ====
Version update (5.69.0 -> 5.70.0)
Subpackages: libKF5Notifications5 libKF5Notifications5-lang

- Update to 5.70.0
* New feature release
* For more details please see:
* https://kde.org/announcements/kde-frameworks-5.70.0
- Changes since 5.69.0:
* Implement updating of notifications on Android
* Handle multi-line and rich-text notifications on Android
* Add KNotificationJobUiDelegate(KJobUiDelegate::Flags) constructor
* [KNotificationJobUiDelegate] Append "Failed" for error messages

==== knotifyconfig ====
Version update (5.69.0 -> 5.70.0)
Subpackages: libKF5NotifyConfig5 libKF5NotifyConfig5-lang

- Update to 5.70.0
* New feature release
* For more details please see:
* https://kde.org/announcements/kde-frameworks-5.70.0
- Changes since 5.69.0:
* Consistently use knotify-config.h to pass in flags about Canberra/Phonon

==== kpackage ====
Version update (5.69.0 -> 5.70.0)
Subpackages: kpackage-lang

- Update to 5.70.0
* New feature release
* For more details please see:
* https://kde.org/announcements/kde-frameworks-5.70.0
- Changes since 5.69.0:
* Fix testpackage-appstream: XDG_DATA_DIRS needs to be explicitly extended

==== kparts ====
Version update (5.69.0 -> 5.70.0)
Subpackages: libKF5Parts5 libKF5Parts5-lang

- Update to 5.70.0
* New feature release
* For more details please see:
* https://kde.org/announcements/kde-frameworks-5.70.0
- Changes since 5.69.0:
* Add StatusBarExtension(KParts::Part *) overloaded constructor.

==== kpeople5 ====
Version update (5.69.0 -> 5.70.0)
Subpackages: kpeople5-lang

- Update to 5.70.0
* New feature release
* For more details please see:
* https://kde.org/announcements/kde-frameworks-5.70.0
- No code change since 5.69.0

==== kplotting ====
Version update (5.69.0 -> 5.70.0)

- Update to 5.70.0
* New feature release
* For more details please see:
* https://kde.org/announcements/kde-frameworks-5.70.0
- Changes since 5.69.0:
* [KPlotting] foreach is gone, build with -DQT_NO_FOREACH
* [KPlotting] Port foreach (deprecated) to range for

==== kpty ====
Version update (5.69.0 -> 5.70.0)
Subpackages: libKF5Pty5 libKF5Pty5-lang

- Update to 5.70.0
* New feature release
* For more details please see:
* https://kde.org/announcements/kde-frameworks-5.70.0
- No code change since 5.69.0

==== kquickcharts ====
Version update (5.69.0 -> 5.70.0)

- Update to 5.70.0
* New feature release
* For more details please see:
* https://kde.org/announcements/kde-frameworks-5.70.0
- No code change since 5.69.0

==== kross ====
Version update (5.69.0 -> 5.70.0)
Subpackages: kross-lang

- Update to 5.70.0
* New feature release
* For more details please see:
* https://kde.org/announcements/kde-frameworks-5.70.0
- No code change since 5.69.0

==== krunner ====
Version update (5.69.0 -> 5.70.0)

- Update to 5.70.0
* New feature release
* For more details please see:
* https://kde.org/announcements/kde-frameworks-5.70.0
- Changes since 5.69.0:
* DBus Runner: Add service property to request actions once
* Print a warning if runner is incompatible with KRunner
* KRunner: Improve code snippet
* Use ecm_setup_qtplugin_macro_names

==== kservice ====
Version update (5.69.0 -> 5.70.0)
Subpackages: kservice-lang

- Update to 5.70.0
* New feature release
* For more details please see:
* https://kde.org/announcements/kde-frameworks-5.70.0
- Changes since 5.69.0:
* Deprecate KPluginInfo::service(), since the constructor with a KService is
deprecated.
* newServicePath(): Docs say add prefix but it's actually suffix

==== ktexteditor ====
Version update (5.69.0 -> 5.70.0)
Subpackages: ktexteditor-lang

- Update to 5.70.0
* New feature release
* For more details please see:
* https://kde.org/announcements/kde-frameworks-5.70.0
- Changes since 5.69.0:
* fix drag'n'drop on left side border widget (kde#420048)
* Revert premature port to unreleased Qt 5.15
* Store and fetch complete view config in and from session config

==== ktextwidgets ====
Version update (5.69.0 -> 5.70.0)
Subpackages: libKF5TextWidgets5 libKF5TextWidgets5-lang

- Update to 5.70.0
* New feature release
* For more details please see:
* https://kde.org/announcements/kde-frameworks-5.70.0
- Changes since 5.69.0:
* [NestedListHelper] Fix indentation of selection, add tests
* [NestedListHelper] Improve indentation code
* [KRichTextEdit] Make sure headings don't mess with undo stack
* [KRichTextEdit] Fix scroll jumping around when horizontal rule is added
(kde#195828)
* [KRichTextWidget] Remove ancient workaround and fix regression (commit
1d1eb6f)
* [KRichTextWidget] Add support for headings
* [KRichTextEdit] Always treat key press as single modification in undo stack
(kde#256001)
* [findreplace] Handle searching for WholeWordsOnly in Regex mode
* [KTextWidgets] Port from QRegExp to QRegularExpression

==== kunitconversion ====
Version update (5.69.0 -> 5.70.0)
Subpackages: libKF5UnitConversion5 libKF5UnitConversion5-lang

- Update to 5.70.0
* New feature release
* For more details please see:
* https://kde.org/announcements/kde-frameworks-5.70.0
- Changes since 5.69.0:
* Add imperial gallon and US pint (kde#341072)
* Add Icelandic Krona to currencies

==== kwallet ====
Version update (5.69.0 -> 5.70.0)
Subpackages: kwallet-tools kwallet-tools-lang kwalletd5 kwalletd5-lang
libKF5Wallet5 libkwalletbackend5-5

- Update to 5.70.0
* New feature release
* For more details please see:
* https://kde.org/announcements/kde-frameworks-5.70.0
- Changes since 5.69.0:
* [KWallet] Port last usage of QRegExp to QRegularExpression

==== kwayland ====
Version update (5.69.0 -> 5.70.0)

- Update to 5.70.0
* New feature release
* For more details please see:
* https://kde.org/announcements/kde-frameworks-5.70.0
- Changes since 5.69.0:
* [Wayland] Add to PlasmaWindowManagement protocol windows stacking order
* Add wrapper for wl_global_remove
* [server] Add some sub-surface life cycle signals
* [autotests] Optimistic attempt to fix RemoteAccessTest reilability

==== kwidgetsaddons ====
Version update (5.69.0 -> 5.70.0)
Subpackages: libKF5WidgetsAddons5 libKF5WidgetsAddons5-lang

- Update to 5.70.0
* New feature release
* For more details please see:
* https://kde.org/announcements/kde-frameworks-5.70.0
- Changes since 5.69.0:
* [KFontChooser] Remove NoFixedCheckBox DisplayFlag, redundant
* [KFontChooser] Add new DisplayFlag; modify how flags are used
* [KCharSelect] Minor code optimisation
* [KFontChooser] Make styleIdentifier() more precise by adding font styleName
(kde#420287)
* [KFontRequester] Port from QFontDialog to KFontChooserDialog
* [KMimeTypeChooser] Add the ability to filter the treeview with a QSFPM
(kde#245637)
* [KFontChooser] Make the code slightly more readable
* [KFontChooser] Add a checkbox to toggle showing only monospaced fonts
* [KFontChooser] More code cleanup
* Remove not necessary include

==== kwindowsystem ====
Version update (5.69.0 -> 5.70.0)
Subpackages: libKF5WindowSystem5 libKF5WindowSystem5-lang

- Update to 5.70.0
* New feature release
* For more details please see:
* https://kde.org/announcements/kde-frameworks-5.70.0
- Changes since 5.69.0:
* Print meaningful warning when there is no QGuiApplication

==== kxmlgui ====
Version update (5.69.0 -> 5.70.0)
Subpackages: libKF5XmlGui5 libKF5XmlGui5-lang

- Update to 5.70.0
* New feature release
* For more details please see:
* https://kde.org/announcements/kde-frameworks-5.70.0
- Changes since 5.69.0:
* Improve warning
* [KRichTextEditor] Add support for headings
* [KKeySequenceWidget] Work around Meta modifier behavior

==== libKF5ModemManagerQt ====
Version update (5.69.0 -> 5.70.0)

- Update to 5.70.0
* New feature release
* For more details please see:
* https://kde.org/announcements/kde-frameworks-5.70.0
- No code change since 5.69.0

==== libKF5NetworkManagerQt ====
Version update (5.69.0 -> 5.70.0)

- Update to 5.70.0
* New feature release
* For more details please see:
* https://kde.org/announcements/kde-frameworks-5.70.0
- Changes since 5.69.0:
* Replace foreach with range-for
* [NetworkManager-qt] Replace foreach with range for, hopefully last pass
* [NetworkManager-qt] Replace foreach with range/index for loop, third pass
* [NetworkManager-qt] Replace foreach with range/index for loop
* [NetworkManager-qt] replace foreach (deprecated) with range-for, first pass

==== libressl ====
Version update (3.0.2 -> 3.1.1)

- Update to release 3.1.1
* Completed initial TLS 1.3 implementation with a completely
new state machine and record layer. TLS 1.3 is now enabled by
default for the client side, with the server side to be
enabled in a future release. Note that the OpenSSL TLS 1.3
API is not yet visible/available.
* Improved cipher suite handling to automatically include
TLSv1.3 cipher suites when they are not explicitly referred
to in the cipher
string.
* Provided TLSv1.3 cipher suite aliases to match the names used
in RFC 8446.
* Added cms subcommand to openssl(1).
* Added -addext option to openssl(1) req subcommand.
* Added -groups option to openssl(1) s_server subcommand.
* Added TLSv1.3 extension types to openssl(1) -tlsextdebug.

==== libunwind ====
Version update (1.3.1 -> 1.4.0)

- Update to 1.4.0
- Fix compilation with -fno-common.
- arm: clear ip thumb/arm mode bit before move to previous instruction (#131)
- tests: fix test-coredump-unwind without HAVE_EXECINFO_H (#165)
- There are 20 not 9 failing tests on Solaris (#162)
- change asm to __asm__ to support -std=c11 or similar (#149)
- x86-64: make `is_cached_valid_mem` functional (#146)
- Allow to build without weak `backtrace` symbol. (#142)
- fix compile issue on SH platform (#137)
- Add support for zlib compressed elf .debug_frame sections
- README: add libc requirement description (#121)
- Older systems (e.g. RHEL5) do not have pipe2(). (#122)
- x86_64: Add fixup code if previous RIP was invalid (#120)
- Fix format specifier for int64_t:29 (#117)
- Delete hardcode of address size to support MIPS64. (#114)
- Added braces to suppress empty if/else warnings (#112)
- mips: make _step_n64 as a static function
- x86_64: Fix tdep_init_done when built with libatomic_ops
- x86_64: tsan clean (#109)
- Fixed a missing dependency in dwarf-eh.h
- dwarf: clang doesn't respect the static alias (#102)
- Update libunwind.keyring
- Remove libunwind-gcc10-build-fno-common.patch fixed upstream

==== ncurses ====
Version update (6.2.20200418 -> 6.2.20200502)
Subpackages: libncurses6 ncurses-devel ncurses-utils tack terminfo
terminfo-base terminfo-iterm terminfo-screen

- Add ncurses patch 20200502
+ add details on the change to Linux SGR 21 in 2018 -TD
+ add xterm-direct16 and xterm-direct256 -TD
+ modify lib_mouse.c to check for out-of-range button numbers, convert
those to position reports.
- Add ncurses patch 20200425
+ use vt100+fnkeys in putty -TD
+ fix a typo in tput.1; "columns" should be "cols".

==== oxygen5-icon-theme ====
Version update (5.69.0 -> 5.70.0)
Subpackages: oxygen5-icon-theme-large

- Update to 5.70.0
* New feature release
* For more details please see:
* https://kde.org/announcements/kde-frameworks-5.70.0
- No code change since 5.69.0

==== plasma-framework ====
Version update (5.69.0 -> 5.70.0)
Subpackages: libKF5Plasma5 plasma-framework-components plasma-framework-lang

- Update to 5.70.0
* New feature release
* For more details please see:
* https://kde.org/announcements/kde-frameworks-5.70.0
- Too many changes since 5.69.0, only listing bugfixes:
* [PlasmaCore.IconItem] Regression: fix crash on source change (kde#420801)
* [Plasmoid Heading] Draw the heading only when there is
an SVG in the theme
* Fix rounded borders

==== prison-qt5 ====
Version update (5.69.0 -> 5.70.0)
Subpackages: libKF5Prison5 prison-qt5-imports

- Update to 5.70.0
* New feature release
* For more details please see:
* https://kde.org/announcements/kde-frameworks-5.70.0
- No code change since 5.69.0

==== purpose ====
Version update (5.69.0 -> 5.70.0)
Subpackages: libKF5Purpose5 libKF5PurposeWidgets5 purpose-lang

- Update to 5.70.0
* New feature release
* For more details please see:
* https://kde.org/announcements/kde-frameworks-5.70.0
- No code change since 5.69.0

==== python-numpy ====
Version update (1.18.3 -> 1.18.4)

- update to version 1.18.4:
* #16055: BLD: add i686 for 1.18 builds
* #16090: BUG: random: Generator.integers(2**32) always returned 0.
* #16091: BLD: fix path to libgfortran on macOS
* #16109: REV: Reverts side-effect changes to casting
* #16114: BLD: put openblas library in local directory on windows
* #16132: DOC: Change import error "howto" to link to new
troubleshooting...

==== python-pyzmq ====
Version update (19.0.0 -> 19.0.1)

- update to version 19.0.1:
* Fix TypeError during garbage collection
* Fix compilation with some C++ compilers
* Fixes in tests and examples

==== qqc2-desktop-style ====
Version update (5.69.0 -> 5.70.0)

- Update to 5.70.0
* New feature release
* For more details please see:
* https://kde.org/announcements/kde-frameworks-5.70.0
- Changes since 5.69.0:
* Detect QQC2 version at build time with actual detection.
* [ComboBox] Use transparent dimmer

==== rubygem-actioncable-5.2 ====
Version update (5.2.4.1 -> 5.2.4.2)

- updated to version 5.2.4.2
see installed CHANGELOG.md

==== rubygem-actioncable-6.0 ====
Version update (6.0.2.2 -> 6.0.3)

- updated to version 6.0.3
see installed CHANGELOG.md
[#]# Rails 6.0.3 (May 06, 2020) ##
* No changes.
[#]# Rails 6.0.2.2 (March 19, 2020) ##
* No changes.

==== rubygem-actionmailbox-6.0 ====
Version update (6.0.2.2 -> 6.0.3)

- updated to version 6.0.3
see installed CHANGELOG.md
[#]# Rails 6.0.3 (May 06, 2020) ##
* Update Mandrill inbound email route to respond appropriately to HEAD
requests for URL health checks from Mandrill.
* Bill Cromie*
[#]# Rails 6.0.2.2 (March 19, 2020) ##
* No changes.

==== rubygem-actionmailer-5.2 ====
Version update (5.2.4.1 -> 5.2.4.2)

- updated to version 5.2.4.2
see installed CHANGELOG.md

==== rubygem-actionmailer-6.0 ====
Version update (6.0.2.2 -> 6.0.3)

- updated to version 6.0.3
see installed CHANGELOG.md
[#]# Rails 6.0.3 (May 06, 2020) ##
* No changes.
[#]# Rails 6.0.2.2 (March 19, 2020) ##
* No changes.

==== rubygem-actionpack-5.2 ====
Version update (5.2.4.1 -> 5.2.4.2)

- updated to version 5.2.4.2
see installed CHANGELOG.md

==== rubygem-actionpack-6.0 ====
Version update (6.0.2.2 -> 6.0.3)
Subpackages: ruby2.6-rubygem-actionpack-6.0 ruby2.7-rubygem-actionpack-6.0

- updated to version 6.0.3
see installed CHANGELOG.md
[#]# Rails 6.0.3 (May 06, 2020) ##
* Include child session assertion count in ActionDispatch::IntegrationTest
`IntegrationTest#open_session` uses `dup` to create the new session, which
meant it had its own copy of `@assertions`. This prevented the assertions
from being correctly counted and reported.
Child sessions now have their `attr_accessor` overriden to delegate to the
root session.
Fixes #32142
* Sam Bostock*
[#]# Rails 6.0.2.2 (March 19, 2020) ##
* No changes.

==== rubygem-actiontext-6.0 ====
Version update (6.0.2.2 -> 6.0.3)

- updated to version 6.0.3
see installed CHANGELOG.md
[#]# Rails 6.0.3 (May 06, 2020) ##
* No changes.
[#]# Rails 6.0.2.2 (March 19, 2020) ##
* No changes.

==== rubygem-actionview-5.2 ====
Version update (5.2.4.1 -> 5.2.4.2)

- updated to version 5.2.4.2
see installed CHANGELOG.md

==== rubygem-actionview-6.0 ====
Version update (6.0.2.2 -> 6.0.3)
Subpackages: ruby2.6-rubygem-actionview-6.0 ruby2.7-rubygem-actionview-6.0

- updated to version 6.0.3
see installed CHANGELOG.md
[#]# Rails 6.0.3 (May 06, 2020) ##
* annotated_source_code returns an empty array so TemplateErrors without a
template in the backtrace are surfaced properly by DebugExceptions.
* Guilherme Mansur*, *Kasper Timm Hansen*
* Add autoload for SyntaxErrorInTemplate so syntax errors are correctly
raised by DebugExceptions.
* Guilherme Mansur*, *Gannon McGibbon*
[#]# Rails 6.0.2.2 (March 19, 2020) ##
* Fix possible XSS vector in escape_javascript helper
CVE-2020-5267
* Aaron Patterson*

==== rubygem-activejob-5.2 ====
Version update (5.2.4.1 -> 5.2.4.2)

- updated to version 5.2.4.2
see installed CHANGELOG.md

==== rubygem-activejob-6.0 ====
Version update (6.0.2.2 -> 6.0.3)

- updated to version 6.0.3
see installed CHANGELOG.md
[#]# Rails 6.0.3 (May 06, 2020) ##
* While using `perform_enqueued_jobs` test helper enqueued jobs must be
stored for the later check with
`assert_enqueued_with`.
* Dmitry Polushkin*
* Add queue name support to Que adapter
* Brad Nauta*, *Wojciech Wn?trzak*
[#]# Rails 6.0.2.2 (March 19, 2020) ##
* No changes.

==== rubygem-activemodel-5.2 ====
Version update (5.2.4.1 -> 5.2.4.2)

- updated to version 5.2.4.2
see installed CHANGELOG.md

==== rubygem-activemodel-6.0 ====
Version update (6.0.2.2 -> 6.0.3)
Subpackages: ruby2.6-rubygem-activemodel-6.0 ruby2.7-rubygem-activemodel-6.0

- updated to version 6.0.3
see installed CHANGELOG.md
[#]# Rails 6.0.3 (May 06, 2020) ##
* No changes.
[#]# Rails 6.0.2.2 (March 19, 2020) ##
* No changes.

==== rubygem-activerecord-5.2 ====
Version update (5.2.4.1 -> 5.2.4.2)

- updated to version 5.2.4.2
see installed CHANGELOG.md

==== rubygem-activerecord-6.0 ====
Version update (6.0.2.2 -> 6.0.3)

- updated to version 6.0.3
see installed CHANGELOG.md
[#]# Rails 6.0.3 (May 06, 2020) ##
* Recommend applications don't use the `database` kwarg in `connected_to`
The database kwarg in `connected_to` was meant to be used for one-off
scripts but is often used in requests. This is really dangerous because it
re-establishes a connection every time. It's deprecated in 6.1 and will be
removed in 6.2 without replacement. This change soft deprecates it in 6.0 by
removing documentation.
* Eileen M. Uchitelle*
* Fix support for PostgreSQL 11+ partitioned indexes.
* Sebastián Palma*
* Add support for beginless ranges, introduced in Ruby 2.7.
* Josh Goodall*
* Fix insert_all with enum values
Fixes #38716.
* Joel Blum*
* Regexp-escape table name for MS SQL
Add `Regexp.escape` to one method in ActiveRecord, so that table names with
regular expression characters in them work as expected. Since MS SQL Server
uses "[" and "]" to quote table and column names, and those characters are
regular expression characters, methods like `pluck` and `select` fail in
certain cases when used with the MS SQL Server adapter.
* Larry Reid*
* Store advisory locks on their own named connection.
Previously advisory locks were taken out against a connection when a
migration started. This works fine in single database applications but doesn't
work well when migrations need to open new connections which results in the
lock getting dropped.
In order to fix this we are storing the advisory lock on a new connection
with the connection specification name `AdisoryLockBase`. The caveat is that we
need to maintain at least 2 connections to a database while migrations are
running in order to do this.
* Eileen M. Uchitelle*, *John Crepezzi*
* Ensure `:reading` connections always raise if a write is attempted.
Now Rails will raise an `ActiveRecord::ReadOnlyError` if any connection on
the reading handler attempts to make a write. If your reading role needs to
write you should name the role something other than `:reading`.
* Eileen M. Uchitelle*
* Enforce fresh ETag header after a collection's contents change by adding
ActiveRecord::Relation#cache_key_with_version. This method will be used by
ActionController::ConditionalGet to ensure that when collection cache
versioning
is enabled, requests using ConditionalGet don't return the same ETag header
after a collection is modified. Fixes #38078.
* Aaron Lipman*
* A database URL can now contain a querystring value that contains an equal
sign. This is needed to support passing PostgresSQL `options`.
* Joshua Flanagan*
* Retain explicit selections on the base model after applying `includes` and
`joins`.
Resolves #34889.
* Patrick Rebsch*
[#]# Rails 6.0.2.2 (March 19, 2020) ##
* No changes.

==== rubygem-activestorage-5.2 ====
Version update (5.2.4.1 -> 5.2.4.2)

- updated to version 5.2.4.2
see installed CHANGELOG.md

==== rubygem-activestorage-6.0 ====
Version update (6.0.2.2 -> 6.0.3)

- updated to version 6.0.3
see installed CHANGELOG.md
[#]# Rails 6.0.3 (May 06, 2020) ##
* No changes.
[#]# Rails 6.0.2.2 (March 19, 2020) ##
* No changes.

==== rubygem-activesupport-5.2 ====
Version update (5.2.4.1 -> 5.2.4.2)

- updated to version 5.2.4.2
see installed CHANGELOG.md

==== rubygem-activesupport-6.0 ====
Version update (6.0.2.2 -> 6.0.3)
Subpackages: ruby2.6-rubygem-activesupport-6.0 ruby2.7-rubygem-activesupport-6.0

- updated to version 6.0.3
see installed CHANGELOG.md
[#]# Rails 6.0.3 (May 06, 2020) ##
* `Array#to_sentence` no longer returns a frozen string.
Before:
['one', 'two'].to_sentence.frozen?
[#] => true
After:
['one', 'two'].to_sentence.frozen?
[#] => false
* Nicolas Dular*
* Update `ActiveSupport::Messages::Metadata#fresh?` to work for cookies with
expiry set when
`ActiveSupport.parse_json_times = true`.
* Christian Gregg*
[#]# Rails 6.0.2.2 (March 19, 2020) ##
* No changes.

==== rubygem-amq-protocol ====
Version update (2.3.0 -> 2.3.1)

- updated to version 2.3.1
see installed ChangeLog.md
[#]# Changes between 2.3.1 and 2.3.2 (unreleased)
No changes yet.
[#]# Changes between 2.3.0 and 2.3.1 (April 8th, 2020)
[#]## Support for connection.update-secret
Used together with the `rabbitmq-auth-backend-oauth2` plugin.
[#]## Squashed a gemspec Warning
GitHub issue:
[ruby-amqp/amq-protocol#75](https://github.com/ruby-amqp/amq-protocol/issues/75).

==== rubygem-bindata ====
Version update (2.4.4 -> 2.4.7)

- updated to version 2.4.7
see installed ChangeLog.rdoc
== Version 2.4.7 (2020-03-31)
* Fix choice assignment inside arrays. Reported by Spencer McIntyre.
== Version 2.4.6 (2020-02-27)
* More encoding fixes. Thanks to Aaron Patterson.
== Version 2.4.5 (2020-02-21)
* Small typo fixes to examples.
* Fix encoding issue for ruby 2.7. Thanks to Aaron Patterson.
* Quieter test output.

==== rubygem-capistrano ====
Version update (3.11.2 -> 3.14.0)

- updated to version 3.14.0
see installed CHANGELOG.md

==== rubygem-commander ====
Version update (4.5.0 -> 4.5.2)

- updated to version 4.5.2
see installed History.rdoc
=== 4.5.2 / 2020-03-12
* Fix bug handling global options provided in option=value form (#47).
(@orien)
* Fix ERB warnings under Ruby 2.7. (@esotericpig)
* Fix bug handling global options placed before command name (#32). (@orien)
=== 4.5.1 / 2020-03-08
* Fix bug causing global options to be ignored when arguments are present
(#86). (@orien)

==== rubygem-devise-i18n ====
Version update (1.9.0 -> 1.9.1)

- updated to version 1.9.1
no changelog found

==== rubygem-excon ====
Version update (0.72.0 -> 0.73.0)

- updated to version 0.73.0
no changelog found

==== rubygem-faraday ====
Version update (1.0.0 -> 1.0.1)

- updated to version 1.0.1
see installed CHANGELOG.md

==== rubygem-faraday_middleware ====
Version update (0.14.0 -> 1.0.0)

- updated to version 1.0.0
no changelog found

==== rubygem-fluentd ====
Version update (1.9.1 -> 1.10.3)

- updated to version 1.10.3
see installed CHANGELOG.md
[#] v1.10
[#]# Release v1.10.3 - 2020/05/01
[#]## Enhancement
* record_accessor: Add `set` method
https://github.com/fluent/fluentd/pull/2977
* config: Ruby DSL format is deprecated
https://github.com/fluent/fluentd/pull/2958
* Refactor code
https://github.com/fluent/fluentd/pull/2961
https://github.com/fluent/fluentd/pull/2962
https://github.com/fluent/fluentd/pull/2965
https://github.com/fluent/fluentd/pull/2966
https://github.com/fluent/fluentd/pull/2978
[#]## Bug fix
* out_forward: Disable `linger_timeout` setting on Windows
https://github.com/fluent/fluentd/pull/2959
* out_forward: Fix warning of service discovery manager when fluentd stops
https://github.com/fluent/fluentd/pull/2974
[#]# Release v1.10.2 - 2020/04/15
[#]## Enhancement
* out_copy: Add plugin_id to log message
https://github.com/fluent/fluentd/pull/2934
* socket: Allow cert chains in mutual auth
https://github.com/fluent/fluentd/pull/2930
* system: Add ignore_repeated_log_interval parameter
https://github.com/fluent/fluentd/pull/2937
* windows: Allow to launch fluentd from whitespace included path
https://github.com/fluent/fluentd/pull/2920
* Refactor code
https://github.com/fluent/fluentd/pull/2935
https://github.com/fluent/fluentd/pull/2936
https://github.com/fluent/fluentd/pull/2938
https://github.com/fluent/fluentd/pull/2939
https://github.com/fluent/fluentd/pull/2946
[#]## Bug fix
* in_syslog: Fix octet-counting mode bug
https://github.com/fluent/fluentd/pull/2942
* out_forward: Create timer for purging obsolete sockets when
keepalive_timeout is not set
https://github.com/fluent/fluentd/pull/2943
* out_forward: Need authentication when sending tcp heartbeat with keepalive
https://github.com/fluent/fluentd/pull/2945
* command: Fix fluent-debug start failure
https://github.com/fluent/fluentd/pull/2948
* command: Fix regression of supervisor's worker and `--daemon` combo
https://github.com/fluent/fluentd/pull/2950
[#]# Release v1.10.1 - 2020/04/02
[#]## Enhancement
* command: `--daemon` and `--no-supervisor` now work together
https://github.com/fluent/fluentd/pull/2912
* Refactor code
https://github.com/fluent/fluentd/pull/2913
[#]## Bug fix
* in_tail: `Fix pos_file_compaction_interval` parameter type
https://github.com/fluent/fluentd/pull/2921
* in_tail: Fix seek position update after compaction
https://github.com/fluent/fluentd/pull/2922
* parser_syslog: Fix regression in the `with_priority` and RFC5424 case
https://github.com/fluent/fluentd/pull/2923
[#]## Misc
* Add document for security audit
https://github.com/fluent/fluentd/pull/2911
[#]# Release v1.10.0 - 2020/03/24
[#]## New feature
* sd plugin: Add SRV record plugin
https://github.com/fluent/fluentd/pull/2876
[#]## Enhancement
* server: Add `cert_verifier` parameter for TLS transport
https://github.com/fluent/fluentd/pull/2888
* parser_syslog: Support customized time format
https://github.com/fluent/fluentd/pull/2886
* in_dummy: Delete `suspend` parameter
https://github.com/fluent/fluentd/pull/2897
* Refactor code
https://github.com/fluent/fluentd/pull/2858
https://github.com/fluent/fluentd/pull/2862
https://github.com/fluent/fluentd/pull/2864
https://github.com/fluent/fluentd/pull/2869
https://github.com/fluent/fluentd/pull/2870
https://github.com/fluent/fluentd/pull/2874
https://github.com/fluent/fluentd/pull/2881
https://github.com/fluent/fluentd/pull/2885
https://github.com/fluent/fluentd/pull/2894
https://github.com/fluent/fluentd/pull/2896
https://github.com/fluent/fluentd/pull/2898
https://github.com/fluent/fluentd/pull/2899
https://github.com/fluent/fluentd/pull/2900
https://github.com/fluent/fluentd/pull/2901
https://github.com/fluent/fluentd/pull/2906
[#]## Bug fix
* out_forward: windows: Permit to specify `linger_timeout`
https://github.com/fluent/fluentd/pull/2868
* parser_syslog: Fix syslog format detection
https://github.com/fluent/fluentd/pull/2879
* buffer: Fix `available_buffer_space_ratio` calculation
https://github.com/fluent/fluentd/pull/2882
* tls: Support CRLF based X.509 certificates
https://github.com/fluent/fluentd/pull/2890
* msgpack_factory mixin: Fix performance penalty for deprecation log
https://github.com/fluent/fluentd/pull/2903

==== rubygem-gettext ====
Version update (3.2.9 -> 3.3.5)

- updated to version 3.3.5
see installed news.md
[#]# 3.3.5: 2020-02-15 {#version-3-3-5}
[#]## Improvements
* Added support for `|` method.
[GitHub#73][Reported by dorle-o]
[#]## Thanks
* dorle-o
[#]# 3.3.4: 2020-02-12 {#version-3-3-4}
[#]## Improvements
* Added support for `%W`.
[GitHub#72][Reported by Michaël Hoste]
[#]## Thanks
* Michaël Hoste
- updated to version 3.3.3
see installed news.md
[#]# 3.3.3: 2020-02-05 {#version-3-3-3}
[#]## Improvements
* Added support for `%I`.
[GitHub#71][Reported by Kai Ramuenke]
[#]## Thanks
* Kai Ramuenke
[#]# 3.3.2: 2020-01-13 {#version-3-3-2}
[#]## Fixes
* Fixed a bug that `rake gettext:po:add]` raises an error.
[GitHub#70][Patch by KITAITI Makoto]
[#]## Thanks
* KITAITI Makoto
[#]# 3.3.1: 2020-01-12 {#version-3-3-1}
[#]## Improvements
* Stopped detecting string interpolation literal.
[GitHub#21][Reported by Remo]
* `rxgettext`: Added support for adding a new parser by `--require`.
* Added support for GtkBuilder UI definitions file.
[GitHub#63][Reported by Alex]
* Improved percent literal parsing.
[GitHub#67][Patch by KITAITI Makoto]
[#]## Thanks
* Remo
* Alex
* KITAITI Makoto
[#]# 3.3.0: 2020-01-08 {#version-3-3-0}
[#]## Improvements
* Fixed README markup.
[GitHub#57][Patch by Alexander Paukste]
* Suppressed warnings.
[GitHub#58][Patch by 284km]
* Improved README.
[GitHub#62][Patch by Robert Graff]
* Added support for finding `racc` of Ruby 2.7.
[GitHub#65][Patch by KITAITI Makoto]
* Added support for Ruby 2.7.
[GitHub#64][Reported by Anatol Pomozov]
* Dropped support for Ruby 2.4.
[#]## Fixes
* Fixed a bug that `n_` may return nil.
[GitHub#60][Patch by Michaël Hoste]
* Fixed a sort by msgid bug.
[GitHub#61][Patch by Robert Graff]
[#]## Thanks
* Alexander Paukste
* 284km
* Michaël Hoste
* Robert Graff
* KITAITI Makoto
* Anatol Pomozov

==== rubygem-gpgme ====
Version update (2.0.19 -> 2.0.20)

- updated to version 2.0.20
no changelog found

==== rubygem-hashdiff ====
Version update (1.0.0 -> 1.0.1)

- updated to version 1.0.1
see installed changelog.md
[#]# v1.0.1 2020-02-25
* Add indifferent option

==== rubygem-hoe ====
Version update (3.22.0 -> 3.22.1)

- updated to version 3.22.1
see installed History.rdoc
=== 3.22.1 / 2020-02-12
* 1 bug fix:
* Avoid calling parse_urls if URL metadata are already set. (flavorjones)

==== rubygem-jquery-rails ====
Version update (4.3.5 -> 4.4.0)

- updated to version 4.4.0
* update jquery to 3.5.1 (note: [3.5.0 contains important security
updates](https://github.com/advisories/GHSA-jpcq-cgw6-v4j6))
* unescape dollar signs and backticks in `assert_select_jquery` to match
Rails updated behavior.

==== rubygem-json_pure ====
Version update (2.2.0 -> 2.3.0)

- updated to version 2.3.0
see installed CHANGES.md

==== rubygem-kramdown ====
Version update (2.1.0 -> 2.2.1)

- updated to version 2.2.1
no changelog found

==== rubygem-launchy ====
Version update (2.4.3 -> 2.5.0)

- updated to version 2.5.0
see installed HISTORY.md
[#]# Version 2.5.0 - 2020-02-27
* Update depedencies
* Update minimum ruby level
* Move to `kde-open` on KDE -
<https://github.com/copiousfreetime/launchy/pull/105> - wstephenson
* Applied some grammer / spelling fixes -
<https://github.com/copiousfreetime/launchy/pull/130> - jeremymoritz
* `Pathname` instances do not raise exceptions when opening local files -
<https://github.com/copiousfreetime/launchy/issues/101> - dmke
* Add a fallback console browsers -
<https://github.com/copiousfreetime/launchy/issues/93> - trejkaz

==== rubygem-locale ====
Version update (2.1.2 -> 2.1.3)

- updated to version 2.1.3
see installed ChangeLog

==== rubygem-mime-types-data ====
Version update (3.2019.1009 -> 3.2020.0425)

- updated to version 3.2020.0425
see installed History.md
[#]# 3.2020.04.25 / 2020-04-25
- Updated the IANA media registry entires as of release date.
- Added several RAW image types based on data from GNOME RAW Thumbnailer.
[#33][] fixing [#32][].
- Added `audio/wav`. [#31][].
- Added a type for Smarttech notebook files. [#30][].
- Added an alias for audio/m4a files. [#29][].
- Added application/x-ms-dos-executable. [#28][].

==== rubygem-mimemagic ====
Version update (0.3.4 -> 0.3.5)

- updated to version 0.3.5
see installed CHANGELOG.md
[#]# 0.3.5 (2020-05-04)
Mimetype extensions are now ordered by freedesktop.org's priority

==== rubygem-mixlib-cli ====
Version update (2.1.5 -> 2.1.6)

- updated to version 2.1.6
no changelog found

==== rubygem-moneta ====
Version update (1.2.1 -> 1.3.0)

- updated to version 1.3.0
see installed CHANGES
1.3.0
* Transformer - add :each_key support (#170)
* Server - add :each_key support, use non-blocking IO (#165)
* Builder - dup options before passing to adapter/proxy (#174)
* Adapter::Couch - add HTTP basic auth support
* Support MRI 2.7.0 (#172)
* Minimum required MRI version is now 2.3.0 (#172)

==== rubygem-net-scp ====
Version update (2.0.0 -> 3.0.0)

- updated to version 3.0.0
see installed CHANGES.txt
=== 3.0.0
* NetSHH 6.* support

==== rubygem-net-sftp ====
Version update (2.1.2 -> 3.0.0)

- updated to version 3.0.0
see installed CHANGES.txt
=== 3.0.0
* Pass protocol version via Net::SFTP.start [#107]
* Net-ssh 6.0 support [#106]

==== rubygem-net-ssh ====
Version update (5.2.0 -> 6.0.2)

- updated to version 6.0.2
see installed CHANGES.txt
=== 6.0.2
* Fix corrupted hmac issue in etm hmac [#759]
=== 6.0.1
* Make sha2-{256,512}-etm@xxxxxxxxxxx MAC opt-in as they seems to have issues
[#757]
=== 6.0.0
* Support empty lines and comments in known_hosts [donoghuc, #742]
* Add sha2-{256,512}-etm@xxxxxxxxxxx MAC algorithms [graaff, #714]
=== 6.0.0 beta2
* Support :certkeys and CertificateFile configuration option [Anders
Carling, #722]
=== 6.0.0 beta1
* curve25519sha256 support [Florian Wininger ,#690]
* disabled insecure algs [Florian Wininger , #709]
=== 5.2.0

==== rubygem-oauth2 ====
Version update (1.4.3 -> 1.4.4)

- updated to version 1.4.4
see installed CHANGELOG.md
[#]# [1.4.4] - 2020-02-12
- [#408](https://github.com/oauth-xx/oauth2/pull/408) - Fixed expires_at for
formatted time (@Lomey)

==== rubygem-omniauth ====
Version update (1.9.0 -> 1.9.1)

- updated to version 1.9.1
no changelog found

==== rubygem-omniauth-github ====
Version update (1.3.0 -> 1.4.0)

- updated to version 1.4.0
no changelog found

==== rubygem-optimist ====
Version update (3.0.0 -> 3.0.1)

- updated to version 3.0.1
see installed History.txt
== [3.0.1] / 2020-04-20
* Add a LICENSE.txt file to the released package
* Test fixes (thanks @aried3r, @neontapir, @npras)

==== rubygem-paint ====
Version update (2.1.1 -> 2.2.0)

- updated to version 2.2.0
see installed CHANGELOG.md
[#]## 2.2.0
* Support NO_COLOR environment variable, implements #26 (see no-color.org)

==== rubygem-parallel_tests ====
Version update (2.31.0 -> 2.32.0)

- updated to version 2.32.0
no changelog found

==== rubygem-parser ====
Version update (2.7.0.2 -> 2.7.1.2)

- updated to version 2.7.1.2
see installed CHANGELOG.md

==== rubygem-pg ====
Version update (1.2.2 -> 1.2.3)

- updated to version 1.2.3
see installed ChangeLog

==== rubygem-pry-doc ====
Version update (1.0.0 -> 1.1.0)

- updated to version 1.1.0
see installed CHANGELOG.md
* Added Ruby 2.7 support ([#94](https://github.com/pry/pry-doc/pull/94))
* Improved Ruby 2.7 suport for certain methods
([#100](https://github.com/pry/pry-doc/pull/100))
* Fixed ``NoMethodError: undefined method `namespace_name'``
([#97](https://github.com/pry/pry-doc/pull/97))

==== rubygem-public_suffix ====
Version update (4.0.4 -> 4.0.5)

- updated to version 4.0.5
[#] Changed
* Updated definitions

==== rubygem-rack-oauth2 ====
Version update (1.10.1 -> 1.12.0)

- updated to version 1.12.0
no changelog found

==== rubygem-rails-5.2 ====
Version update (5.2.4.1 -> 5.2.4.2)

- updated to version 5.2.4.2
no changelog found

==== rubygem-rails-6.0 ====
Version update (6.0.2.2 -> 6.0.3)

- updated to version 6.0.3
no changelog found

==== rubygem-railties-5.2 ====
Version update (5.2.4.1 -> 5.2.4.2)

- updated to version 5.2.4.2
see installed CHANGELOG.md

==== rubygem-railties-6.0 ====
Version update (6.0.2.2 -> 6.0.3)
Subpackages: ruby2.6-rubygem-railties-6.0 ruby2.7-rubygem-railties-6.0

- updated to version 6.0.3
see installed CHANGELOG.md
[#]# Rails 6.0.3 (May 06, 2020) ##
* Cache compiled view templates when running tests by default
When generating a new app without `--skip-spring`, caching classes is
disabled in `environments/test.rb`. This implicitly disables caching
view templates too. This change will enable view template caching by
adding this to the generated `environments/test.rb`:
````ruby
config.action_view.cache_template_loading = true
````
* Jorge Manrubia*
* `Rails::Application#eager_load!` is available again to load application code
manually as it was possible in previous versions.
Please, note this is not integrated with the whole eager loading logic that
runs when Rails boots with eager loading enabled, you can think of this
method as a vanilla recursive code loader.
This ability has been restored because there are some use cases for it, such
as indexers that need to have all application classes and modules in memory.
* Xavier Noria*
* Generators that inherit from NamedBase respect `--force` option
* Josh Brody*
* Regression fix: The Rake task `zeitwerk:check` supports eager loaded
namespaces which do not have eager load paths, like the recently added
`i18n`. These namespaces are only required to respond to `eager_load!`.
* Xavier Noria*
[#]# Rails 6.0.2.2 (March 19, 2020) ##
* No changes.

==== rubygem-rb-fsevent ====
Version update (0.10.3 -> 0.10.4)
Subpackages: ruby2.6-rubygem-rb-fsevent ruby2.7-rubygem-rb-fsevent

- updated to version 0.10.4
no changelog found

==== rubygem-reverse_markdown ====
Version update (1.4.0 -> 2.0.0)

- updated to version 2.0.0
see installed CHANGELOG.md
[#]# 2.0.0 - March 2020
- BREAKING: Dropped support for ruby 1.9.3
- Add support for `details` and `summary` tags, see #85

==== rubygem-rouge ====
Version update (3.15.0 -> 3.18.0)

- updated to version 3.18.0
no changelog found

==== rubygem-rspec-core ====
Version update (3.9.1 -> 3.9.2)

- updated to version 3.9.2
see installed Changelog.md
[#]## 3.9.2 / 2020-05-02
[Full Changelog](http://github.com/rspec/rspec-core/compare/v3.9.1...v3.9.2)
Bug Fixes:
* Emit a warning when `around` hook is used with `:context` scope
(Phil Pirozhkov, #2687)
* Prevent invalid implementations of `Exception#cause` from being treated as a
valid cause (and causing strange errors) in
`RSpec::Core::Formatters::ExceptionPresenter`.
(Jon Rowe, #2703)
* Correctly detect patterns when `rspec_opts` is an array in
`RSpec::Core::RakeTask`.
(Marc-André Lafortune, #2704)
* Make `RSpec.clear_examples` reset example counts for example groups. This
fixes
an issue with re-running specs not matching ids. (Agis Anastasopoulos,
#2723)

==== rubygem-rspec-support ====
Version update (3.9.2 -> 3.9.3)

- updated to version 3.9.3
see installed Changelog.md
[#]## 3.9.3 / 2020-05-02
[Full
Changelog](http://github.com/rspec/rspec-support/compare/v3.9.2...v3.9.3)
Bug Fixes:
* Mark ripper as unsupported on Truffle Ruby. (Brandon Fish, #395)
* Mark ripper as unsupported on JRuby 9.2.0.0. (Brian Hawley, #400)
* Capture `Mutex.new` for our `RSpec::Support:Mutex` in order to
allow stubbing `Mutex.new`. (Jon Rowe, #411)

==== rubygem-simplecov ====
Version update (0.18.1 -> 0.18.5)

- updated to version 0.18.5
see installed CHANGELOG.md
0.18.5 (2020-02-25)
===================
Can you guess? Another bugfix release!
[#]# Bugfixes
* minitest won't crash if SimpleCov isn't loaded - aka don't execute
SimpleCov code in the minitest plugin if SimpleCov isn't loaded. Thanks to
[@edariedl](https://github.com/edariedl) for the report of the peculiar problem
in [#877](https://github.com/colszowka/simplecov/issues/877).
0.18.4 (2020-02-24)
===================
Another small bugfix release ? Fixes SimpleCov running with rspec-rails,
which was broken due to our fixed minitest integration.
[#]# Bugfixes
* SimpleCov will run again correctly when used with rspec-rails. The
excellent bug report [#873](https://github.com/colszowka/simplecov/issues/873)
by [@odlp](https://github.com/odlp) perfectly details what went wrong. Thanks
to [@adam12](https://github.com/adam12) for the fix
[#874](https://github.com/colszowka/simplecov/pull/874).
0.18.3 (2020-02-23)
===========
Small bugfix release. It's especially recommended to upgrade simplecov-html
as well because of bugs in the 0.12.0 release.
[#]# Bugfixes
* Fix a regression related to file encodings as special characters were
missing. Furthermore we now respect the magic `# encoding: ...` comment and
read files in the right encoding. Thanks ([@Tietew](https://github.com/Tietew))
- see [#866](https://github.com/colszowka/simplecov/pull/866)
* Use `Minitest.after_run` hook to trigger post-run hooks if `Minitest` is
present. See [#756](https://github.com/colszowka/simplecov/pull/756) and
[#855](https://github.com/colszowka/simplecov/pull/855) thanks
([@adam12](https://github.com/adam12))
0.18.2 (2020-02-12)
===================
Small release just to allow you to use the new simplecov-html.
[#]# Enhancements
* Relax simplecov-html requirement so that you're able to use
[0.12.0](https://github.com/colszowka/simplecov-html/blob/master/CHANGELOG.md#0120-2020-02-12)

==== rubygem-simplecov-html ====
Version update (0.11.0 -> 0.12.2)

- updated to version 0.12.2
see installed CHANGELOG.md
0.12.2 (2020-02-27)
==================
[#]# Bugfixes
* Refreshing the page while a source file is open works again. Thanks
[@HansBug](https://github.com/HansBug) for the report
[#94](https://github.com/colszowka/simplecov-html/issues/94) and
[@Tietew](https://github.com/Tietew) for the fix!
0.12.1 (2020-02-23)
==================
Bugfix release to fix huge bugs that sadly test suit and maintainters didn't
catch.
[#]# Bugfixes
* Disable pagination and with it all files on 2nd page+ being broken/not able
to open
* Fix display of non ASCII characters, for this you have to upgrade to
simplecov 0.18.3 though (it's handled in there)
0.12.0 (2020-02-12)
==================
This release is basically a collection of long standing PRs finally merged.
Yes it looks different, no it's not a redesign - just a side effect of lots
of dependency updates to improve CSP compatibility.
[#]# Enhancements
* The HTML should now be servable with CSP settings of `default-src 'none';
script-src 'self'; img-src 'self'; style-src 'self';`
* File list is horizontally scrollable if the space doesn't suffice
* numbers are now right aligned and displayed with the same number of
decimals for easier comparison and reading.
[#]# Bugfixes
* Make sorting icons appear again
* close link tag which could cause problems when parsing as xhtml/xml
* make sure encoding errors won't crash the formatter
* When viewing a short source file while you have a big file list you will no
longer be able to scroll on after the source file has ended

==== rubygem-slop ====
Version update (4.8.0 -> 4.8.1)

- updated to version 4.8.1
see installed CHANGELOG.md
v4.8.1 (2020-03-31)
- ------------------
Bug fixes:
* Fix keyword argument warning.
[#251](https://github.com/leejarvis/slop/pull/251)

==== rubygem-sprockets-helpers ====
Version update (1.2.1 -> 1.3.0)

- updated to version 1.3.0
no changelog found

==== rubygem-sshkit ====
Version update (1.20.0 -> 1.21.0)

- updated to version 1.21.0
see installed CHANGELOG.md

==== rubygem-tmuxinator ====
Version update (1.1.4 -> 2.0.1)

- updated to version 2.0.1
no changelog found

==== rubygem-tomlrb ====
Version update (1.2.9 -> 1.3.0)

- updated to version 1.3.0
no changelog found

==== rubygem-tzinfo ====
Version update (2.0.1 -> 2.0.2)

- updated to version 2.0.2
see installed CHANGES.md
[#]# Version 2.0.2 - 2-Apr-2020
* Fixed 'wrong number of arguments' errors when running on JRuby 9.0. #114.
* Fixed warnings when running on Ruby 2.8. #113.

==== rubygem-tzinfo-data ====
Version update (1.2019.3 -> 1.2020.1)

- updated to version 1.2020.1
no changelog found

==== rubygem-unf_ext ====
Version update (0.0.7.6 -> 0.0.7.7)

- updated to version 0.0.7.7
see installed CHANGELOG.md
[#]# 0.0.7.7 (2019-03-19)
- Include Windows binaries for Ruby 2.7.

==== rubygem-unicode-display_width ====
Version update (1.6.1 -> 1.7.0)

- updated to version 1.7.0
see installed CHANGELOG.md
[#]# 1.7.0
- Unicode 13

==== rubygem-web-console ====
Version update (4.0.1 -> 4.0.2)
Subpackages: ruby2.6-rubygem-web-console ruby2.7-rubygem-web-console

- updated to version 4.0.2
see installed CHANGELOG.markdown
[#]# 4.0.2
* [#285](https://github.com/rails/web-console/pull/285) Increase timeout on
paste ([@celvro])

==== solid ====
Version update (5.69.0 -> 5.70.0)
Subpackages: libKF5Solid5 libKF5Solid5-lang solid-imports solid-tools

- Update to 5.70.0
* New feature release
* For more details please see:
* https://kde.org/announcements/kde-frameworks-5.70.0
- Changes since 5.69.0:
* [Solid] Port foreach to range/index for
* [FakeCdrom] Add a new UnknownMediumType enumerator to MediumType
* [Solid] Replace foreach (deprecated) with range/index for
* [FstabWatcher] Fix loosing of fstab watcher
* [Fstab] Do not emit deviceAdded twice on fstab/mtab changes
* [FstabWatcher] Use static QStringLiteral instead of macro

==== sonnet ====
Version update (5.69.0 -> 5.70.0)
Subpackages: libKF5SonnetCore5 libKF5SonnetCore5-lang libKF5SonnetUi5

- Update to 5.70.0
* New feature release
* For more details please see:
* https://kde.org/announcements/kde-frameworks-5.70.0
- Changes since 5.69.0:
* Fix sonnet autodetect test failure

==== syndication ====
Version update (5.69.0 -> 5.70.0)

- Update to 5.70.0
* New feature release
* For more details please see:
* https://kde.org/announcements/kde-frameworks-5.70.0
- No code change since 5.69.0

==== syntax-highlighting ====
Version update (5.69.0 -> 5.70.0)
Subpackages: libKF5SyntaxHighlighting5 libKF5SyntaxHighlighting5-lang

- Update to 5.70.0
* New feature release
* For more details please see:
* https://kde.org/announcements/kde-frameworks-5.70.0
- Changes since 5.69.0:
* debchangelog: add Groovy Gorilla
* fix unit test refs
* Updated test file for Logtalk syntax highlighting
* Update Logtalk language syntax support
* TypeScript: add the "awaited" type operator

==== threadweaver ====
Version update (5.69.0 -> 5.70.0)

- Update to 5.70.0
* New feature release
* For more details please see:
* https://kde.org/announcements/kde-frameworks-5.70.0
- No code change since 5.69.0

==== xfconf ====
Version update (4.14.1 -> 4.14.3)
Subpackages: libxfconf-0-3 xfconf-lang

- Update to version 4.14.3
* Use 'gsettings' as a common channel name for the GSetting backend
* bxo#14789: Fix GSettings backend assertion error, when probed
but not used.
* bxo#15960: Add some missing xfconf_shutdown() in xfconf-query
* bxo#15951: Fix 'xfconf_get_error_quark' introspecting warning
* Translation updates


N�����r��y隊Z)z{.���r�+�맲��r��z�^�ˬz��N�(�֜��^� ޭ隊Z)z{.���r�+��0�������Ǩ�
< Previous Next >
This Thread
  • No further messages